package com.abi.qms.platform.dao.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;
import java.math.BigDecimal;

/**
 * 流向查询记录 对象 flow_query_record
 *
 * @author ruoyi
 * @date 2021-07-21
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName("flow_query_record")
public class FlowQueryRecord implements Serializable {

    private static final long serialVersionUID = 1L;


    /**
     * id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 流向状态 1-正常  2-异常
     */
    private Integer flowStatus;

    /**
     * 箱码
     */
    private String boxCode;

    /**
     * 托盘码
     */
    private String trayCode;

    /**
     * 品牌code
     */
    private String brandCode;

    /**
     * 品牌名称
     */
    private String brandName;

    /**
     * SKU SKU-CODE
     */
    private String skuCode;

    /**
     * 生产批次
     */
    private String productionBatch;

    /**
     * 生产日期(yyyy-MM-dd)
     */
    private LocalDateTime productionTime;


    /**
     * 查询类型 1-箱码查询 2-托盘码查询
     */
    private Integer queryType;

    /**
     * 查询平台 1-微信  2-后台
     */
    private Integer queryPlatform;

    /**
     * 查询地址
     */
    private String queryAddress;

    /**
     * 异常节点CODE-流出
     */
    private Long abnormalInNodeCode;

    /**
     * 异常节点名称-流出
     */
    private String abnormalInNodeName;


    /**
     * 异常节点CODE-流出
     */
    private Long abnormalOutNodeCode;


    /**
     * 异常节点名称-流出
     */
    private String abnormalOutNodeName;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    /**
     * 创建人id
     */
    @TableField(fill = FieldFill.INSERT)
    private Long createBy;

    /**
     * 创建人名称
     */
    @TableField(fill = FieldFill.INSERT)
    private String createUserName;


    /**
     * 修改时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    /**
     * 修改人id
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateBy;


    /**
     * 修改人名称
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateUserName;


    /**
     * 是否删除
     */
    @TableLogic
    private Integer isDelete;

}
