package com.abi.qms.platform.dao.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * 稽查案件 对象 inspection_case
 *
 * @author: ZhangZhao
 * @date: 2021-07-19
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName("inspection_case")
public class InspectionCase implements Serializable {

    private static final long serialVersionUID = 1L;


    /**
     * 案件id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 省份id
     */
    private Long provinceId;

    /**
     * 城市id
     */
    private Long cityId;

    /**
     * 案件编号
     */
    private String caseNumber;

    /**
     * 案件名称
     */
    private String caseName;

    /**
     * skuCode
     */
    private String skuCode;

    /**
     * 流货数量(箱)
     */
    private Long boxCodeCount;

    /**
     * 流出经销商编号
     */
    private String outAgencyCode;

    /**
     * 流出经销商名称
     */
    private String outAgencyName;

    /**
     * 流入经销商编号
     */
    private String inAgencyCode;

    /**
     * 流入经销商名称
     */
    private String inAgencyName;

    /**
     * 渠道 1-微信 2-后台
     */
    private Integer channel;

    /**
     * 案件备注
     */
    private String caseRemark;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    /**
     * 创建人id
     */
    @TableField(fill = FieldFill.INSERT)
    private Long createBy;

    /**
     * 创建人名称
     */
    @TableField(fill = FieldFill.INSERT)
    private String createUserName;


    /**
     * 修改时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    /**
     * 修改人id
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateBy;


    /**
     * 修改人名称
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateUserName;


    /**
     * 是否删除
     */
    @TableLogic
    private Integer isDelete;

}
