package com.abi.qms.platform.dao.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 稽查案件编号 对象 inspection_case_number
 * 
 * @author WeiganCai
 * @date 2021-07-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Schema(name="稽查案件编号对象", description="稽查案件编号信息")
public class InspectionCaseNumber implements Serializable {

    @Schema(name = "编号id")
    private Long id;

    @Schema(name = "城市id")
    private Long cityId;

    @Schema(name = "编号")
    private Long number;

    @Schema(name = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @Schema(name = "创建人id")
    @TableField(fill = FieldFill.INSERT)
    private Long createBy;

    @Schema(name = "修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @Schema(name = "修改人id")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateBy;

    @Schema(name = "是否删除")
    private Integer isDelete;

}
