package com.abi.qms.platform.dao.mapper;

import com.abi.qms.platform.dao.entity.InspectionCaseFlow;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 稽查案件-流向关联 Mapper接口
 *
 * @author WeiganCai
 * @date 2021-07-30
 */
public interface InspectionCaseFlowMapper extends BaseMapper<InspectionCaseFlow> {

    /**
     * 批量保存
     * @param flowList 流向信息列表
     */
    void insertBatch(@Param("list")  List<InspectionCaseFlow> flowList);

    /**
     * 根据案件ID删除相关箱码信息
     *
     * @param caseIds 案件ids
     */
    void deleteBatchCaseIds(@Param("caseIds") Long[] caseIds);

    /**
     * 查询列表
     * @param id
     * @return
     */
    List<InspectionCaseFlow> getList(@Param("caseId") Long id);
}
