package com.abi.qms.platform.dao.vo.result;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author: ZhangZhao
 * @date: 2021/7/20 10:21
 * @description: 分页查询 稽查案件列表 映射返回对象
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@ApiModel
public class ListInspectionCaseVO implements Serializable {


    /**
     * 案件ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;

    /**
     * 案件编号
     */
    @ApiModelProperty(value = "案件编号")
    private String caseNumber;

    /**
     * 案件名称
     */
    @ApiModelProperty(value = "案件名称")
    private String caseName;

    /**
     * sku名称
     */
    @ApiModelProperty(value = "sku名称")
    private String skuName;

    /**
     * 流货数量(箱)
     */
    @ApiModelProperty(value = "流货数量(箱)")
    private Long boxCodeCount;

    /**
     * 流出经销商名称
     */
    @ApiModelProperty(value = "流出经销商名称")
    private String outAgencyName;

    /**
     * 流出经销商编号
     */
    @ApiModelProperty(value = "流出经销商编号")
    private String outAgencyCode;

    /**
     * 流入经销商编号
     */
    @ApiModelProperty(value = "流入经销商编号")
    private String inAgencyCode;

    /**
     * 流入经销商名称
     */
    @ApiModelProperty(value = "流入经销商名称")
    private String inAgencyName;


    /**
     * 渠道 1-微信 2-后台
     */
    @ApiModelProperty(value = "创建渠道")
    private Integer channel;


    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private String createUserName;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;
}
