package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author: zhang zhao
 * @date: 2021/8/615:42
 * @description: 导出流向查询记录 入参
 */
@ApiModel
@Data
public class ExportFlowQueryRecordReq implements Serializable {

    /**
     * 箱码
     */
    @ApiModelProperty(value = "箱码 不支持模糊搜索")
    private String boxCode;

    /**
     * 托盘码
     */
    @ApiModelProperty(value = "托盘码 不支持模糊搜索")
    private String trayCode;

    /**
     * 流向状态 1-正常  2-异常
     */
    @ApiModelProperty(value = "流向状态 1-正常  2-异常")
    private Integer flowStatus;

    /**
     * 查询平台 1-微信  2-后台
     */
    @ApiModelProperty(value = "查询平台 1-微信  2-后台")
    private Integer queryPlatform;

    /**
     * 查询用户ID
     */
    @ApiModelProperty(value = "查询用户ID")
    private Long queryUserId;

    /**
     * 查询时间-开始
     */
    @ApiModelProperty(value = "创建时间-开始(yyyy-MM-dd HH:mm:ss)")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime startQueryTime;


    /**
     * 查询时间-结束
     */
    @ApiModelProperty(value = "创建时间-结束(yyyy-MM-dd HH:mm:ss)")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime endQueryTime;


}
