package com.abi.qms.platform.dto.req;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;

/**
 * 隐形码查询入参
 *
 * @author WeiganCai
 * @date: 2021-08-16
 */
@Data
@Schema
public class WxGetInvisibleCodeReq implements Serializable {
	@Schema(name = "隐形码")
	@NotNull(message = "隐形码为空")
	@Size(min = 20, max = 20, message = "隐形码长度不正确")
	private String invisibleCode;
}
