package com.abi.qms.platform.dto.res;

import io.swagger.annotations.ApiModel;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author: zhang zhao
 * @date: 2021/8/510:14
 * @description: 根据案件编号或名称 模糊查询案件 出参
 */
@Data
@Schema
public class QueryCaseLikeNumOrNameRes implements Serializable {

    @Schema(name = "案件信息列表")
    private List<CaseBean> caseInfoList;

    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @Schema(name = "QueryCaseLikeNumOrNameRes_Bean")
    public static class CaseBean implements Serializable{
        @Schema(name = "案件ID")
        private Long caseId;

        @Schema(name = "案件编号")
        private String caseNum;

        @Schema(name = "案件名称")
        private String caseName;
    }


}
