package com.abi.qms.platform.dto.res;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 隐形码查询出参
 * TODO 测试使用，待流向查询接口完成后，根据实际情况调整结构
 *
 * @author WeiganCai
 * @date: 2021-08-16
 */
@Data
@Accessors(chain = true)
@Schema
public class WxGetInvisibleCodeRes implements Serializable {
	@Schema(name = "隐形码查询结果")
	private List<InvisibleCodeBean> invisibleCodeList;

	@Data
	@Accessors(chain = true)
	public static class InvisibleCodeBean {
		@Schema(name = "隐形码")
		private String invisibleCode;

		@Schema(name = "箱码")
		private String boxCode;

		@Schema(name = "堆垛时间")
		@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
		private LocalDateTime stackTime;
	}
}
