package com.abi.qms.platform.service;

import com.abi.qms.platform.dao.entity.BaseArea;
import com.abi.qms.platform.dto.res.GetBaseAreaListRes;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author: ZhangZhao
 * @date: 2021/7/16 16:41
 * @description: 省市-区域数据服务层
 */
public interface BaseAreaService {

    /**
     * 根据类型获取区域信息
     *
     * @param type 区域类型
     * @return 符合条件的区域列表
     */
    GetBaseAreaListRes getAreaListByType(Integer type);


    /**
     * 获取指定parentId 下的所有 下级 区域信息
     *
     * @param parentId 父级标识
     * @return 符合条件的区域列表
     */
    GetBaseAreaListRes getAreaListByParentId(Long parentId);

}
