package com.abi.qms.platform.service;

import com.abi.qms.platform.dto.req.*;
import com.abi.qms.platform.dto.res.*;

/**
 * 箱码垛码查询 Service接口
 *
 * @author WeiganCai
 * @date 2021-08-02
 */
public interface FlowQueryService {
    /**
     * 流向查询
     */
    GetBoxCodeRes boxCode(GetBoxCodeReq getBoxCodeReq);


    /**
     * 箱码查询
     * @param boxCode 箱码
     * @return
     */
    GetBoxCodeRes getFlowInfoByBoxCode(String boxCode);


    /**
     * 隐形码查询
     */
    GetInvisibleCodeRes invisibleCode(GetInvisibleCodeReq getInvisibleCodeReq);

    /**
     * 垛码查询
     */
    GetStackCodeRes stackCode(GetStackCodeReq getStackCodeReq);


    /**
     * 微信箱码查询
     */
    WxGetBoxCodeRes wxBoxCode(WxGetBoxCodeReq req);

    /**
     * 微信隐形码查询
     */
    WxGetInvisibleCodeRes WxInvisibleCode(WxGetInvisibleCodeReq req);

    /**
     * 微信垛码查询
     */
    WxGetStackCodeRes wxStackCode(WxGetStackCodeReq req);
}
